# -*- encoding: utf-8 -*-
require File.expand_path('../lib/solr_ead/version', __FILE__)

Gem::Specification.new do |gem|
  gem.authors       = ["Adam Wead"]
  gem.email         = ["amsterdamos@gmail.com"]
  gem.description   = %q{A gem for indexing EAD into solr using OM. Define your own OM terminology to create the solr fields you want from your ead, then use Solr-based applications like Blacklight to search and display the results.}
  gem.summary       = %q{A gem for indexing EAD into solr using OM}
  gem.homepage      = "http://github.com/awead/solr_ead"

  gem.files         = `git ls-files`.split($\)
  gem.executables   = gem.files.grep(%r{^bin/}).map{ |f| File.basename(f) }
  gem.test_files    = gem.files.grep(%r{^(spec)/})
  gem.name          = "solr_ead"
  gem.require_paths = ["lib"]
  gem.version       = SolrEad::VERSION
  gem.license       = "Apache-2.0"

  # Dependencies
  gem.add_dependency 'om', '>= 3.0.0', '< 4'
  gem.add_dependency 'solrizer', '>= 3.1.0', '< 4'
  gem.add_dependency 'rsolr'
  gem.add_dependency 'sanitize'

  gem.add_development_dependency 'yard'
  gem.add_development_dependency 'redcarpet'
  gem.add_development_dependency 'rake'
  gem.add_development_dependency 'rspec'
  gem.add_development_dependency 'byebug'
  gem.add_development_dependency 'rdoc'
  gem.add_development_dependency 'jettywrapper'

  gem.add_dependency 'activesupport', '< 5' if RUBY_VERSION < '2.2.2'

  if RUBY_VERSION < '2.1'
    gem.add_dependency 'nokogiri', '< 1.7'
    gem.add_dependency 'deprecation', '< 1'
  end

end
